Subject: [AAA-WG]: Home-Agent-Address AVP

From: Sivasundar Ramamurthy <[email-masked]>
Date: Thu, 21 Mar 2002 09:47:38 -0800 (PST)

Hello,

It seems as if the sole purpose of the Home-Agent-Address AVP in a HAR
is to provide means for the AAAH during HA allocation to specify the
address on which a (multihomed) HA "should" service the MN.

Letting the HA chose the address of service might be a more flexible
option. If this is acceptable, then the Home-Agent-Address AVP serves
no use in a HAR. Even during Home Agent Allocation, the HA can use the
HA address in the reg-request AVP to deduce that is has been allocated
by the AAAH. Can we thus remove the Home-Agent-Address AVP from the
HAR?

thanks,

Siva